# pygame-ui-toolkit

pygame-ui-toolkit is a library for easily creating UI elements with Pygame.

# Features

pygame-ui-toolkit offers the following features:

## UI Elements:

These are the core user input elements that can be created using this library.

### Buttons

- Rectangle buttons
- Bordered rectangle buttons
- Circle buttons
- Bordered circle buttons
- Polygon buttons
- Bordered polygon buttons
- All of the above with text

### Sliders

- Horizontal sliders
- Vertical sliders

### Text Inputs

- All buttons (other than **polygon buttons**) can be used as text inputs

### Toggles

- Tick box
- Tick box with text to the left
- Tick box with text to the right

### Dropdown Menus

- Rectangle dropdowns
- Bordered rectangle dropdowns
- Circle dropdowns
- Bordered circle dropdowns

### Text Boxes

- All button types can be used as a text box

## Presets:

These are additional functionalities added on top of the core UI elements.

### Button

- Changing colour when hovered over or clicked on
- Changing size when hovered over or clicked on

### Slider

- Automatically updating text that displays the current slider value

# Installation

Cannot be completed until the package is ready to be added to PyPI.

# Usage

Once installed, import the package into your project by entering the following at the top of your script.

    import pygame_ui_toolkit


See below for additional information on how to use the package.

# Docs

There is no official documentation for this package.

The scripts in the `examples` directory should show you how to use the package. They detail the creation and use of all core UI elements and the presets.

Docstrings and type hints have been included within the scripts within the `src` directory, which should outline what each function and class does alongside the kinds of arguments that should be passed into them.